# ApplicationFramework
TKPLCAF
PNaming

# PNaming_Name Class Reference

`#include <PNaming_Name.hxx>`

## Public Member Functions

Standard_EXPORT | PNaming_Name ()
void | Type (const Standard_Integer T)
void | ShapeType (const Standard_Integer T)
void | Arguments (const Handle(PNaming_HArray1OfNamedShape)&Args)
void | StopNamedShape (const Handle(PNaming_NamedShape)&arg)
Standard_Integer | Type () const
Standard_Integer | ShapeType () const
Handle_PNaming_HArray1OfNamedShape | Arguments () const
Handle_PNaming_NamedShape | StopNamedShape () const
void | Index (const Standard_Integer I)
Standard_Integer | Index () const
| PNaming_Name (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPNaming_NamemyType () const
void | _CSFDB_SetPNaming_NamemyType (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPNaming_NamemyShapeType () const
void | _CSFDB_SetPNaming_NamemyShapeType (const Standard_Integer p)
| Handle (PNaming_HArray1OfNamedShape) _CSFDB_GetPNaming_NamemyArgs() const
void | _CSFDB_SetPNaming_NamemyArgs (const Handle(PNaming_HArray1OfNamedShape)&p)
| Handle (PNaming_NamedShape) _CSFDB_GetPNaming_NamemyStop() const
void | _CSFDB_SetPNaming_NamemyStop (const Handle(PNaming_NamedShape)&p)
Standard_Integer | _CSFDB_GetPNaming_NamemyIndex () const
void | _CSFDB_SetPNaming_NamemyIndex (const Standard_Integer p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | myType
Standard_Integer | myShapeType
Handle_PNaming_HArray1OfNamedShape | myArgs
Handle_PNaming_NamedShape | myStop
Standard_Integer | myIndex

## Constructor & Destructor Documentation

Standard_EXPORT PNaming_Name::PNaming_Name | ( |  | ) |

PNaming_Name::PNaming_Name | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Integer PNaming_Name::_CSFDB_GetPNaming_NamemyIndex | ( |  | ) | const`[inline]`

Standard_Integer PNaming_Name::_CSFDB_GetPNaming_NamemyShapeType | ( |  | ) | const`[inline]`

Standard_Integer PNaming_Name::_CSFDB_GetPNaming_NamemyType | ( |  | ) | const`[inline]`

void PNaming_Name::_CSFDB_SetPNaming_NamemyArgs | ( | const Handle(PNaming_HArray1OfNamedShape)& | p | ) | `[inline]`

void PNaming_Name::_CSFDB_SetPNaming_NamemyIndex | ( | const Standard_Integer | p | ) | `[inline]`

void PNaming_Name::_CSFDB_SetPNaming_NamemyShapeType | ( | const Standard_Integer | p | ) | `[inline]`

void PNaming_Name::_CSFDB_SetPNaming_NamemyStop | ( | const Handle(PNaming_NamedShape)& | p | ) | `[inline]`

void PNaming_Name::_CSFDB_SetPNaming_NamemyType | ( | const Standard_Integer | p | ) | `[inline]`

Handle_PNaming_HArray1OfNamedShape PNaming_Name::Arguments | ( |  | ) | const`[inline]`

void PNaming_Name::Arguments | ( | const Handle(PNaming_HArray1OfNamedShape)& | Args | ) | `[inline]`

Standard_EXPORT const PNaming_Name::Handle | ( | Standard_Type |  | ) | const

PNaming_Name::Handle | ( | PNaming_NamedShape |  | ) | const`[inline]`

PNaming_Name::Handle | ( | PNaming_HArray1OfNamedShape |  | ) | const`[inline]`

Standard_Integer PNaming_Name::Index | ( |  | ) | const`[inline]`

void PNaming_Name::Index | ( | const Standard_Integer | I | ) | `[inline]`

Standard_Integer PNaming_Name::ShapeType | ( |  | ) | const`[inline]`

void PNaming_Name::ShapeType | ( | const Standard_Integer | T | ) | `[inline]`

Handle_PNaming_NamedShape PNaming_Name::StopNamedShape | ( |  | ) | const`[inline]`

void PNaming_Name::StopNamedShape | ( | const Handle(PNaming_NamedShape)& | arg | ) | `[inline]`

Standard_Integer PNaming_Name::Type | ( |  | ) | const`[inline]`

void PNaming_Name::Type | ( | const Standard_Integer | T | ) | `[inline]`

## Field Documentation

Handle_PNaming_HArray1OfNamedShape PNaming_Name::myArgs `[private]`

Standard_Integer PNaming_Name::myIndex `[private]`

Standard_Integer PNaming_Name::myShapeType `[private]`

Handle_PNaming_NamedShape PNaming_Name::myStop `[private]`

Standard_Integer PNaming_Name::myType `[private]`

The documentation for this class was generated from the following files:

- PNaming_Name.hxx
- PNaming_Name.lxx